Bug 19073 - Can't change library with patron batch modification tool
Summary: Can't change library with patron batch modification tool
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Alex Sassmannshausen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15758
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 09:59 UTC by Katrin Fischer
Modified: 2017-09-16 06:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19074: bugfix: Dereference correct value from Koha::Object. (1.42 KB, patch)
2017-08-10 11:09 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
Bug 19073: bugfix: Dereference correct value from Koha::Object. (1.42 KB, patch)
2017-08-10 11:38 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
[SIGNED OFF] Bug 19073: bugfix: Dereference correct value from Koha::Object. (1.48 KB, patch)
2017-08-10 11:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19073: (bug 15758 follow-up) Dereference correct value from Koha::Object. (1.51 KB, patch)
2017-08-10 18:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-08-10 09:59:24 UTC
It appears that the option to change a users homebranch with the patron batch modification tool is broken.

To test:
- Install Koha sample patrons
- Search all patrons (empty search) and add them to a patron list
- Go to the patron batch modification tool
- Select your list
- Change branch to Centerville
- Save
- Verify Koha shows the result list, but that the branch hasn't been changed.
Comment 1 Alex Sassmannshausen 2017-08-10 11:09:53 UTC
Created attachment 65799 [details] [review]
Bug 19074: bugfix: Dereference correct value from Koha::Object.

* tools/modborrowers.pl: Dereference 'branchcode' rather than
  'value'.

Test Plan:
- Carry out "Batch patron modification" with any number of patrons.
  + Change the library.
  + Hit Save.
- The library will not have been updated.
- Apply patch.
- Run same modification.
- The library will have been updated
Comment 2 Alex Sassmannshausen 2017-08-10 11:38:26 UTC
Created attachment 65801 [details] [review]
Bug 19073: bugfix: Dereference correct value from Koha::Object.

* tools/modborrowers.pl: Dereference 'branchcode' rather than
  'value'.

Test Plan:
- Carry out "Batch patron modification" with any number of patrons.
  + Change the library.
  + Hit Save.
- The library will not have been updated.
- Apply patch.
- Run same modification.
- The library will have been updated
Comment 3 Katrin Fischer 2017-08-10 11:55:19 UTC
Created attachment 65805 [details] [review]
[SIGNED OFF] Bug 19073: bugfix: Dereference correct value from Koha::Object.

* tools/modborrowers.pl: Dereference 'branchcode' rather than
  'value'.

Test Plan:
- Carry out "Batch patron modification" with any number of patrons.
  + Change the library.
  + Hit Save.
- The library will not have been updated.
- Apply patch.
- Run same modification.
- The library will have been updated

https://bugs.koha-community.org/show_bug.cgi?id=19073

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2017-08-10 18:25:01 UTC
Caused by:
  commit 9b9803b69c8bde879768ccfa3cc4688ef46b7799
    Bug 15758: Koha::Libraries - Remove GetBranchesLoop
Comment 5 Jonathan Druart 2017-08-10 18:28:05 UTC
Created attachment 65841 [details] [review]
Bug 19073: (bug 15758 follow-up) Dereference correct value from Koha::Object.

* tools/modborrowers.pl: Dereference 'branchcode' rather than
  'value'.

Test Plan:
- Carry out "Batch patron modification" with any number of patrons.
  + Change the library.
  + Hit Save.
- The library will not have been updated.
- Apply patch.
- Run same modification.
- The library will have been updated

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-08-10 18:29:31 UTC
This is a bad one, it affects 16.11.x and 17.05.x
Comment 7 Jonathan Druart 2017-08-10 19:32:36 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-09-12 14:42:28 UTC
Pushed to 17.05.x, will be in 17.05.04.
Comment 9 Katrin Fischer 2017-09-16 06:52:28 UTC
This patch has been pushed to 16.11.x and will be in 16.11.12.